Package ru.bitel.bgbilling.kernel.module.common.bean

# Class Role

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.Role

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<Role>`

public class Role extends IdTitle implements TreeNode<Role>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Role.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Role()`
  `Role(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Role.Builder`
  `builder()`
  `List<Role>`
  `getChildren()`
  `int`
  `getMenuId()`
  `List<PermissionKit>`
  `getPermissionKits()`
  `void`
  `setChildren(List<Role> children)`
  `void`
  `setMenuId(int menuId)`
  `void`
  `setPermissionKits(List<PermissionKit> permissionKits)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Role

    public Role()

  - ### Role

    public Role(int id, String title)

- ## Method Details

  - ### getChildren

    public List<Role> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<Role>`

  - ### setChildren

    public void setChildren(List<Role> children)

  - ### getPermissionKits

    public List<PermissionKit> getPermissionKits()

  - ### setPermissionKits

    public void setPermissionKits(List<PermissionKit> permissionKits)

  - ### getMenuId

    public int getMenuId()

  - ### setMenuId

    public void setMenuId(int menuId)

  - ### builder

    public static Role.Builder builder()